@font-face {
  font-family: 'Gladolia DEMO';
  src: url('links/GladoliaDEMO-Regular.otf') format('opentype');
}

@media (max-width: 1200px) {  
  .hero {
    position: relative;
    width: 100%;
    height: 600px !important;
    overflow: hidden;
  }

  .hero-text h1 {
    font-size: 70px !important;
  }

  .hero-text p {
    font-size: 18px !important;
  }

  .scroll-box img {
    width: 300px !important;
    height: 300px !important;
    flex-shrink: 0;
  }

  .red-box {
    width: 300px !important;
    height: 300px !important;
  }

  .event-section {
    gap: 40px !important;
  }

  .event-content {
    height: 800px !important;
  }

  .event-main-img {
    width: 415px !important;
    height: 400px !important;
  }

  .event-thumbs {
    width: 200px !important;
    height: 200px !important;
  }

  .event-bottom-row {
    width: 415px !important;
    height: 200px !important;
  }

  .sunny {
    margin-left: 600px !important;
  }
}

@media (max-width: 900px) {
  .hero {
    position: relative;
    width: 100%;
    height: 500px !important;
    overflow: hidden;
  }
  
  .hero-text h1 {
    font-size: 60px !important;
  }

  .scroll-box img {
    width: 300px !important;
    height: 300px !important;
    flex-shrink: 0;
  }

  .red-box {
    width: 300px !important;
    height: 300px !important;
    align-items: center !important;
  }

  .red-box button {
    font-size: 16px !important;
  }

  .event-content {
    height: auto !important;
  }

  .event-content h2 {
    text-align: center !important;
  }

  .event-content p {
    text-align: center !important;
  }

  .event-content .event-btn {
    margin: 10px auto 0 auto !important;
  }

  .sunny {
    display: none;
  }

  .footer {
    margin: 0 !important;
    padding: 40px 0  !important;
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }

  .footer p {
    text-align: center !important;
  }
}

@media (max-width: 600px) {
  .hero {
    position: relative;
    width: 100%;
    height: 300px !important;
    overflow: hidden;
  }

  .hero-text h1 {
    font-size: 40px !important;
  }

  .hero-text p {
    font-size: 16px !important;
  }
  
  .scroll-box img {
    width: 200px !important;
    height: 200px !important;
    flex-shrink: 0;
  }

  .red-box {
    width: 200px !important;
    height: 200px !important;
  }

  .red-box p {
    font-size: 20px !important;
  }

  .event-content {
    max-width: 100% !important;
    width: 100% !important;
    height: auto !important;
    align-items: center !important;
    text-align: center !important;
  }

  .event-main-img {
    width: 315px !important;
    height: 300px !important;
  }

  .event-thumbs {
    width: 150px !important;
    height: 150px !important;
  }

  .event-bottom-row {
    width: 315px !important;
    height: 150px !important;
  }

  .banner {
    padding-left: 30px !important;
    padding-right: 30px !important;
  }

  .sunny {
    display: none;
  }
}

@media (min-width: 2060px) {
  .scroll-wrapper {
    justify-content: center;
  }
}

.hamburger {
  width: 30px;
  cursor: pointer;
  display: none;
  flex-direction: column;
  gap: 6px;
  z-index: 101;
  padding: 20px;
  margin: 20px;
}

.hamburger span {
  display: block;
  height: 4px;
  width: 100%;
  background: #d82028;
  border-radius: 2px;
  transition: 0.3s;
  z-index: 102;
}
.hamburger.active span:nth-child(1) {
  transform: rotate(45deg) translate(8px, 8px);
}
.hamburger.active span:nth-child(2) {
  opacity: 0;
}
.hamburger.active span:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -6px);
}
.hamburger.active {
  position: fixed;
  padding: 20px;
  margin-right: 15px;
  z-index: 200;
}

@media (max-width: 900px) {
  .hamburger { 
    display: flex; 
    padding: 8px;
    margin: 8px;
    top: 20px;
    right: 10px;
    z-index: 102;
  }
  
  .nav-links {
    overflow: hidden !important;
    text-align: center;
    flex-direction: column;
    justify-content: flex-start;
    background: #fff1c9;
    position: fixed;
    padding-top: 100px !important;
    gap: 20px !important;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 100;
    transform: translateX(100%);
    transition: left 0.3s ease, transform 0.3s ease, opacity 0.3s ease;
    pointer-events: none;
  }

  .nav-links li {
    margin: 0 !important;
    padding: 0 !important;
    line-height: 0 !important;
  }

  .nav-links li a {
    font-size: 20px !important;
  }
}

body {
  overflow-x: hidden;
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  box-sizing: border-box;
  padding: 20px;
}

.logo {
  display: block;
  max-width: 100%;
  height: auto;
}

nav {
  display: flex;
  align-items: center;
}

.nav-links {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
  gap: 20px;
}

.nav-links li a {
  text-decoration: none;
  color: #000;
  font-family: Arial, sans-serif;
  font-size: 16px;
}

.nav-links.active {
  transform: translateX(0);
  opacity: 1;
  pointer-events: auto;
}

.nav-links a {
  padding: 20px 20px;
  display: inline-block;
}

ul li a {
  text-decoration: none;
  color: #000000;
}

ul li a:hover {
  color: #d82028;
}

ul {
  display: flex;
  list-style: none;
  justify-content: flex-end;
  margin: 0;
  padding: 0;
}

ul li {
  margin-left: 20px; /* space between items */
  font-family: 'Arial', sans-serif;
  font-size: 16px;
  font-weight: regular;
}

nav a.active {
  color: #d82028;
}

.contact p {
  font-size: 16px;
  font-weight: bold;
  font-family: 'Arial', sans-serif;
  text-align: center;
  color: #D82028;
  background-color: #FFF1C9;
  padding: 10px 0;
  margin: 0;
}

.hero {
  position: relative;
  width: 100%;
  height: 800px;
  overflow: hidden;
}

.hero-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.hero-overlay {
  position: absolute;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: rgba(0,0,0,0.5);
  display: flex;
  align-items: center;
  justify-content: center;
}

.hero-text {
  text-align: center;
}

.hero-text h1 {
  color: #fff;
  text-align: center;
  font-family: 'Gladolia DEMO', serif;
  font-size: 80px;
  font-weight: normal;
  margin: 0;
}

.hero-text p {
  color: #fff;
  text-align: center;
  font-family: 'Arial', sans-serif;
  font-size: 20px;
  margin: 10px 0 0 0;
  line-height: 1.5;
}

.hero-text button {
  background-color: transparent;
  color: #ffffff;
  font-size: 16px;
  border: 1px solid #ffffff;
  padding: 10px 20px;
  border-radius: 5px;
  margin: 30px 0 0 0;
}

.hero-text button:hover {
  background-color: #ffffff;
  color: #000000;
}

h2 {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 42px;
  text-align: center;
  margin: 50px 30px 20px 30px; 
}

.scroll-wrapper {
  display: flex;
  overflow-x: auto;
  overflow-y: hidden;
  width: 100%;
  -webkit-overflow-scrolling: touch; /* smooth on iOS */
}

.scroll-box {
  display: flex;
  justify-content: flex-start;
  flex-wrap: nowrap;
  width: max-content; /* fits all images in a row */
}

.scroll-box img {
  width: 400px;
  height: 400px;
  margin: 10px;
  border-radius: 10px;
  flex-shrink: 0; /* prevents images from shrinking */
}

.red-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 400px;
  height: 400px;
  background-color: #d82028;
  margin: 10px;
  border-radius: 10px;
  flex-shrink: 0;
}

.red-box p {
  color: #ffffff;
  font-family: 'Arial', sans-serif;
  font-size: 25px;
  text-align: center;
}

.red-box button {
  background-color: #d82028;
  color: #ffffff;
  border: 1px solid #ffffff;
  padding: 10px 20px;
  border-radius: 5px;
}

.red-box button:hover {
  background: #ffffff;
  color: #d82028;
}

.event-section {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  gap: 80px;
  background: #FFF1C9;
  padding: 50px 20px;
  flex-wrap: wrap;
  margin-top: 50px;
}

.event-content {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex: 1 1 350px;
  max-width: 500px;
  height: 1200px;
  flex-direction: column;
}

.event-content h2 {
  color: #D82028;
  font-size: 40px;
  font-family: Arial, sans-serif;
  font-weight: 800;
  line-height: 1.2;
  text-align: left;
  margin: 0;
}

.event-content p {
  color: #000;
  font-size: 16px;
  font-family: Arial, sans-serif;
  line-height: 1.5;
}

.event-content .event-types {
  color: #6268B0;
  font-size: 1.1rem;
  font-family: Arial, sans-serif;
  font-weight: bold;
}

.event-content .event-btn {
  background-color: #6268B0;
  color: #ffffff;
  font-size: 16px;
  padding: 10px 20px;
  border-radius: 5px;
  border: 2px solid #6268B0;
  text-decoration: none;
  font-family: Arial, sans-serif;
}

.event-content .event-btn:hover {
  background: transparent;
  color: #6268B0;
  border: 2px solid #6268B0;

}

.event-main-img {
  width: 615px;
  height: 600px;
  object-fit: cover;
}

.event-thumbs {
  display: flex;
  width: 300px;
  height: 300px;
  object-fit: cover;
  gap: 15px;
  margin: 10px 0;
}

.event-bottom-row {
  display: flex;
  width: 615px;
  height: 300px;
  object-fit: cover;
}

.banner {
  background-color: #6268b0;
  padding: 40px 0 40px 80px;
  color: #ffffff;
}

.banner h1 {
  margin: 0;
  font-family: 'Gladolia DEMO', serif;
  font-size: 50px;
  font-weight: normal;
}

.banner p {
  margin: 5px;
  font-family: 'Arial', sans-serif;
  font-size: 25px;
}

.banner button {
  background-color: #6268b0;
  color: #ffffff;
  font-size: 16px;
  border: 1px solid #ffffff;
  padding: 10px 20px;
  border-radius: 5px;
  margin: 20px 0 0 0;
}

.banner button:hover {
  background: #ffffff;
  color: #6268b0;
}

.sunny {
  position: absolute;
  margin: 20px 0 0 750px;
}

.footer {
  margin-top: 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #fff1c9;
  color: #000000;
  padding: 40px 80px 40px 80px;
}

.social-media {
  display: flex;
  gap: 8px;
}

.social-media img {
  margin: 0;
  padding: 0;
}

.social-media img:hover {
  transform: scale(1.1);
}

.copyright a {
  text-decoration: none;
  color: #000000;
}

.footer .copyright p {
  font-family: 'Arial', sans-serif;
  font-size: 12px;
  margin: 0;
  text-align: right;
}